orte/mca/ras/base/ras_base_node.h File Reference.TH "orte/mca/ras/base/ras_base_node.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/ras/base/ras_base_node.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'include/orte_types.h'\fP
.br
\fC#include 'mca/soh/soh_types.h'\fP
.br
\fC#include 'mca/rmgr/rmgr_types.h'\fP
.br
\fC#include 'mca/ras/ras.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_ras_base_node_query\fP (\fBopal_list_t\fP *)"
.br
.ti -1c
.RI "\fBorte_ras_node_t\fP * \fBorte_ras_base_node_lookup\fP (orte_cellid_t, const char *nodename)"
.br
.ti -1c
.RI "int \fBorte_ras_base_node_query_alloc\fP (\fBopal_list_t\fP *, \fBorte_jobid_t\fP)"
.br
.RI "\fIQuery the registry for all nodes allocated to a specific job. \fP"
.ti -1c
.RI "int \fBorte_ras_base_node_insert\fP (\fBopal_list_t\fP *)"
.br
.RI "\fIAdd the specified node definitions to the registry. \fP"
.ti -1c
.RI "int \fBorte_ras_base_node_delete\fP (\fBopal_list_t\fP *)"
.br
.RI "\fIDelete the specified nodes from the registry. \fP"
.ti -1c
.RI "int \fBorte_ras_base_node_assign\fP (\fBopal_list_t\fP *, \fBorte_jobid_t\fP)"
.br
.RI "\fIAssign the allocated slots on the specified nodes to the indicated jobid. \fP"
.ti -1c
.RI "int \fBorte_ras_base_node_segment_empty\fP (bool *empty)"
.br
.RI "\fICheck to see if the node segment is empty. \fP"
.in -1c
.SH "Detailed Description"
.PP 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
